<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [StudyTask](./bitburner.studytask.md)

## StudyTask interface

Study

**Signature:**

```typescript
export interface StudyTask extends BaseTask 
```
**Extends:** [BaseTask](./bitburner.basetask.md)

## Remarks

An object representing the current study task

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [classType](./bitburner.studytask.classtype.md) |  | string |  |
|  [location](./bitburner.studytask.location.md) |  | [LocationName](./bitburner.locationname.md) |  |
|  [type](./bitburner.studytask.type.md) |  | "CLASS" |  |

